View Issue Details

IDProjectCategoryView StatusLast Update
0001170Склад[All Projects] Generalpublic2019-01-28 17:52
ReporterruslanAssigned Tobarry 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Summary0001170: +Склад- форма Приходной/Расходной накладной функция Авторасчет кол-ва.
DescriptionДоработать функцию "Авторасчет кол-ва" для приходных документов и создать для Расходных документов/Счетов.
При включенной функции расчет поля Кол-во происходит по следующей логике:
В зависимости от переключателя в карточке выбранного в документ товара(Не указано/Линейный/Плоский/Объемный) и флага "Расчитать кол-во по размерам и кол-ву в шт"(см. связанную задачу):
- Если переключатель в положении Неуказано или флаг "Расчитать кол-во по размерам и кол-ву в шт" не установлен - поле Кол-во(в единицах измерения) вводиться вручную.
- При положении переключателя Линейный Размер Х*Кол-во в шт/Размерность
- При положении переключателя Плоский Размер Х*Размер У*Кол-во в шт/Размерность^2
- При положении переключателя Линейный Размер Х*Y*Z*Кол-во в шт/Размерность^3
Пересчет происходит при изменении любого поля задействованного в расчете.
Поле кол-во при этом закрыто от изменения вручную в форме.
TagsNo tags attached.

Relationships

related to 0001169 closedbarry Справочники +Справочник Товары- Добавить признак "Расчет кол-ва по размерам и шт." и Поле Размерность 
related to 0001173 closedbarry Производство +Производство-Заказы-Форма списания комплектующих/возвратного акта- Авторасчет кол-ва по размерам 

Activities

barry

2017-11-01 12:37

administrator   ~0002958

stor32.zip
оприходование товара

ruslan

2017-11-02 09:27

manager   ~0002959

В форме приходной накладной:
1. При добавлении товара, в котором в карточке все настроено, добавляется кол-во в шт. - 0, а цифры в поле Кол-во делаются расчетом Х*У - сделай, если кол-во в шт. 0 по умолчанию, то и кол-во в ед. измерения тоже 0
2. Странное поведение курсора, при редактировании полей и перемещении стрелками - выделение ячейки в поле, где курсор убирается, хотя фокус остается и редактируется нужная ячейка. Воспроизводиться так устанавливаешь курсор мышью на редактируемую ячейку, потом стрелкой опускаешь вниз.

barry

2017-11-03 10:47

administrator   ~0002960

1 - это видимо при включенной кнопке X*Y?

barry

2017-11-03 11:22

administrator   ~0002961

stor32.zip
расходная накладная

ruslan

2017-11-03 12:26

manager   ~0002962

1 - это видимо при включенной кнопке X*Y?
нет кнопка серая

barry

2018-01-12 01:28

administrator   ~0003140

?

Issue History

Date Modified Username Field Change
2017-10-26 18:33 ruslan New Issue
2017-10-26 18:33 ruslan Relationship added related to 0001169
2017-10-26 19:10 ruslan Description Updated View Revisions
2017-11-01 11:53 barry Assigned To => barry
2017-11-01 11:53 barry Status new => confirmed
2017-11-01 12:37 barry Note Added: 0002958
2017-11-02 09:27 ruslan Note Added: 0002959
2017-11-02 09:27 ruslan Status confirmed => feedback
2017-11-03 10:47 barry Note Added: 0002960
2017-11-03 11:22 barry Note Added: 0002961
2017-11-03 12:26 ruslan Note Added: 0002962
2017-11-03 12:26 ruslan Status feedback => assigned
2017-11-05 16:26 ruslan Relationship added related to 0001173
2017-12-18 22:14 ruslan Status assigned => resolved
2017-12-18 22:14 ruslan Resolution open => fixed
2018-01-12 01:28 barry Note Added: 0003140
2019-01-28 17:52 ruslan Status resolved => closed